<?php

namespace WPSpeedo_Team;

if ( ! defined( 'ABSPATH' ) ) exit;

class Control_Dimensions extends Base_Data_Control {
	
	public function get_type() {
		return 'dimensions';
	}
	
	public function get_default_value() {

		return [
			'top' => '',
			'right' => '',
			'bottom' => '',
			'left' => '',
			'linked' => true,
		];
		
	}

	public function get_value( $control, $settings ) {
		$value = parent::get_value( $control, $settings );
		if ( !empty($value['value']) ) {
			$is_linked = wp_validate_boolean( $value['value']['linked'] );
			unset( $value['value']['linked'] );
			$value['value'] = array_map( 'intval', $value['value'] );
			$value['value']['linked'] = $is_linked;
		}
		return $value;
	}
	
	protected function get_default_settings() {
		return array_merge(
			parent::get_default_settings(), [
				'label_block' => true,
				'allowed_dimensions' => 'all',
				'placeholder' => ''
			]
		);
	}
	
}