<?php

namespace WPSpeedo_Team;

if ( ! defined('ABSPATH') ) exit;

class Control_Select extends Base_Data_Control {

	public function get_type() {
		return 'select';
	}

	public function get_value( $control, $settings ) {
		
		$value = parent::get_value( $control, $settings );
		
		if ( !empty($value['value']) ) {

			$value['value'] = sanitize_text_field( $value['value'] );
			
			if ( !empty($value['options']) ) {
				if ( array_search( $value['value'], array_column( $value['options'], 'value') ) === false ) {
					if ( !empty($value['default']) ) {
						$value['value'] = $value['default'];
					} else {
						$value['value'] = $this->get_default_value();
					}
				}
			}

		}

		return $value;

	}

	protected function get_default_settings() {
		return [
			'placeholder' => '',
			'title' => '',
			'options' => [],
		];
	}

}