<?php

namespace WPSpeedo_Team;

if ( ! defined('ABSPATH') ) exit;

$fields = (array) apply_filters( 'wpspeedo_team/few_info', ['_telephone', '_email', '_website' ], get_the_ID() );

if ( empty($fields) ) return;

?>

<div class="team-member--info-wrapper">
    <ul class="wps--member-info">

        <?php foreach ( $fields as $field ) :

            $val = Helpers::get_item_data( $field );

            if ( empty($val) ) continue;
            
            // Mobile
            if ( $field === '_mobile' ) {
                printf( '<li><i class="fas fa-mobile-alt"></i><a class="wps--info-text" href="tel:%s">%s</a></li>', Helpers::sanitize_phone_number($val), sanitize_text_field($val) );
                continue;
            }
            
            // Telephone
            if ( $field === '_telephone' ) {
                printf( '<li><i class="fas fa-phone"></i><a class="wps--info-text" href="tel:%s">%s</a></li>', Helpers::sanitize_phone_number($val), sanitize_text_field($val) );
                continue;
            }
    
            // Email
            if ( $field === '_email' ) {
                printf( '<li><i class="fas fa-at"></i><a class="wps--info-text" href="mailto:%1$s">%1$s</a></li>', sanitize_text_field($val) );
                continue;
            }
    
            // Website
            if ( $field === '_website' ) {
                printf( '<li><i class="fas fa-globe"></i><a class="wps--info-text" href="%1$s" target="_blank" rel="noreferrer noopener nofollow">%1$s</a></li>', esc_url_raw($val) );
                continue;
            }
    
            // Location
            if ( $field === '_location' ) {
                printf( '<li><i class="fas fa-map-marker-alt"></i><span class="wps--info-text">%s</a></li>', sanitize_text_field($val) );
                continue;
            }

        endforeach; ?>

    </ul>
</div>