<?php

namespace WPSpeedo_Team;

if ( ! defined('ABSPATH') ) exit;

$fields = (array) apply_filters( 'wpspeedo_team/more_info', array_merge( [ '_experience', '_company' ], Helpers::get_taxonomies() ), get_the_ID() );

if ( empty($fields) ) return;

?>

<div class="team-member--info-wrapper team-member--info-2">
    <ul class="wps--member-info">

        <?php foreach ( $fields as $field ) :

            $val = Helpers::get_item_data( $field );

            if ( empty($val) ) continue;
            
            // Mobile
            if ( $field === '_experience' ) {
                printf( '<li><strong>%s</strong><span class="wps--info-text">%s</span></li>', 'Experience:', sanitize_text_field($val) );
                continue;
            }
            
            // Telephone
            if ( $field === '_company' ) {
                printf( '<li><strong>%s</strong><span class="wps--info-text">%s</span></li>', 'Company:', sanitize_text_field($val) );
                continue;
            }
            
            // Group
            if ( $field === Helpers::group_taxonomy_name() ) {
                $val = wp_list_pluck( $val, 'name' );
                printf( '<li><strong>%s</strong><span class="wps--info-text">%s</span></li>', 'Group:', implode(', ', $val) );
                continue;
            }

        endforeach; ?>

    </ul>
</div>