<?php

namespace WPSpeedo_Team;

if ( ! defined('ABSPATH') ) exit;

$social_links = (array) Helpers::get_item_data( '_social_links' );

if ( empty($social_links) ) return;

if ( ! isset($template_args) ) $template_args = [];

$args = array_merge([
    'social_links_title' => false,
    'social_links_title_tag' => 'h4',
    'social_links_title_text' => __('Connect with me:', 'wpspeedo-team')
], $template_args );

?>

<div class="team-member--social-links team-member--element">
    <?php if ( $args['social_links_title'] ) printf( '<%1$s class="team-member--slinks-title">%2$s</%1$s>', $args['social_links_title_tag'], $args['social_links_title_text'] ); ?>
    <ul class="wps--social-links">
        <?php foreach( $social_links as $slink ) :
            printf(
            '<li class="wps-si--%s">
                <a href="%s" aria-label="%s" target="_blank" rel="nofollow noopener noreferrer">%s</a>
            </li>', Helpers::get_brnad_name( $slink['social_icon']['icon'] ), esc_url_raw( $slink['social_link'] ), __('Social Link', 'wpspeedo-team' ), Icon_Manager::render_font_icon( $slink['social_icon'] ) );
        endforeach; ?>
    </ul>
</div>