<?php

namespace WPSpeedo_Team;

if ( ! defined('ABSPATH') ) exit;

if ( ! isset($template_args) ) $template_args = [];

$args = array_merge([
    'title_tag' => 'h3'
], $template_args );

$title_classes = ['team-member--title team-member--element'];

if ( !empty($card_action) ) {

    if ( ! Helpers::has_archive() && $card_action === 'single-page' ) {
        $card_action = 'none';
    }

    if ( $card_action !== 'none' ) {
        $title_classes[] = 'team-member--link';
    }

}

printf( '<%s class="%s">', $args['title_tag'], implode(' ', $title_classes) );
    
    if ( $card_action === 'none' ) : the_title();

    elseif ( $card_action === 'single-page' ) : ?><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a><?php

    elseif ( $card_action === 'modal' ) : ?><a href="<?php printf('#wps-team-%s--popup-%s', $this->id, get_the_ID() ); ?>" class="wpspeedo-team--modal"><?php the_title(); ?></a><?php

    elseif ( $card_action === 'side-panel' ) : ?><a href="<?php printf('#wps-team-%s--side-panel-%s', $this->id, get_the_ID() ); ?>" class="wpspeedo-team--side-panel"><?php the_title(); ?></a><?php

    elseif ( $card_action === 'expand' ) : ?><a href="<?php printf('#wps-team-%s--expand-%s', $this->id, get_the_ID() ); ?>" class="wpspeedo-team--expand"><?php the_title(); ?></a><?php

    endif;

printf( '</%s>', $args['title_tag'] );