<?php

namespace WPSpeedo_Team;

if ( ! defined('ABSPATH') ) exit;

get_header();

$attributes = new Attribute_Manager();

$attributes->add_attribute( 'wrapper', 'class', [
    'wps-container wps-widget--team wps-widget-container-archive',
    'wps-team-theme--theme-one',
    'wps-si--b-bg-color wps-si--b-bg-color--hover',
    'wps-team--social-hover-up',
    'wps-team--thumbnail-shad'
]);

$attributes->add_attribute( 'single_item_col', 'class', 'wps-col' );

$card_action = 'single-page';

?>

<div class="wps-archive-title--wrapper">
    <h1 class="wps-archive--title"><?php the_archive_title(); ?></h1>
</div>

<div <?php $attributes->print_attribute_string( 'wrapper' ); ?>>

    <div class="wps-container--inner">

        <?php if ( have_posts() ) : ?>

            <div class="wps-row">
                <?php while ( have_posts() ) : the_post();
            
                    $attributes->add_attribute( 'single_item_col_' . get_the_ID(), 'class', 'wps-widget--item-' . get_the_ID(), true );
            
                    $primary_color = sanitize_text_field( Helpers::get_item_data('_color') );
            
                    if ( !empty( $primary_color ) ) {
                        $attributes->add_attribute( 'single_item_col_' . get_the_ID(), 'style', [
                            "--wps-divider-bg-color:$primary_color;",
                            "--wps-item-primary-color:$primary_color;"
                        ], true );
                    }
            
                    ?>
            
                    <div <?php $attributes->print_attribute_string( ['single_item_col', 'single_item_col_' . get_the_ID()] ); ?>>
                        <div class="wpspeedo-team--single">
                            <div class="wpspeedo-team--single-inner">
                                <?php include Helpers::load_template( 'partials/template-thumbnail.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-title.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-designation.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-divider.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-excerpt.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-social-links.php' ); ?>
                            </div>
                        </div>
                    </div>
                    
                <?php endwhile; ?>
            </div>

            <?php include Helpers::load_template( 'partials/template-pagination.php' ); ?>

        <?php endif; ?>

    </div>

</div>

<?php get_footer();