<?php

namespace WPSpeedo_Team;

if ( ! defined('ABSPATH') ) exit;

get_header();

while ( have_posts() ) : the_post();

$experience         = Helpers::get_item_data( '_experience' );
$company            = Helpers::get_item_data( '_company' );
$color              = Helpers::get_item_data( '_color' );

$s_button_link      = Helpers::get_item_data( '_s_button_link' );
$ribbon             = Helpers::get_item_data( '_ribbon' );

// $location           = Helpers::get_item_data( '_location' );
// $language           = Helpers::get_item_data( '_language' );
// $speciality         = Helpers::get_item_data( '_speciality' );
// $gender             = Helpers::get_item_data( '_gender' );

$attributes = new Attribute_Manager();

$attributes->add_attribute( 'wps-widget-single-page--wrapper', 'class', [
    'wps-container wps-widget--team wps-widget-container-single',
    'wps-team--social-hover-up wps-si--b-bg-color wps-si--b-bg-color--hover'
]);

if ( !empty($color) ) {
    $attributes->add_attribute( 'wps-widget-single-page--wrapper', 'style', '--wps-divider-bg-color:' . sanitize_text_field($color) );
}

$template_args = [
    'social_links_title' => true
];

?>

<div <?php $attributes->print_attribute_string('wps-widget-single-page--wrapper'); ?>>

    <div class="wps-row">

        <div class="wps-col wps-col-4">

            <?php include Helpers::load_template( 'partials/template-thumbnail.php' ); ?>
            <?php include Helpers::load_template( 'partials/template-few-info.php' ); ?>
            <?php include Helpers::load_template( 'partials/template-more-info.php' ); ?>

        </div>

        <div class="wps-col wps-col-8">
            <div class="wpspeedo-team--single-inner">

                <h1 class="team-member--title team-member--element"><?php the_title(); ?></h1>
                <?php include Helpers::load_template( 'partials/template-designation.php' ); ?>
                <?php include Helpers::load_template( 'partials/template-divider.php' ); ?>
                <?php include Helpers::load_template( 'partials/template-description.php' ); ?>
                <?php include Helpers::load_template( 'partials/template-social-links.php' ); ?>
                <?php include Helpers::load_template( 'partials/template-skills.php' ); ?>

            </div>
        </div>

    </div>

</div>

<?php endwhile;

get_footer();