<?php

namespace WPSpeedo_Team;

if ( ! defined('ABSPATH') ) exit;

$this->add_attribute( 'wrapper', 'class', [
    'wps-si--b-color wps-si--b-bg-color--hover',
    'wps-team--social-hover-up',
    'wps-team--thumb-zoom-out',
    'wps-team--thumbnail-shad'
]);

?>

<div <?php $this->print_attribute_string( 'wrapper' ); ?>>
    
    <?php do_action( 'wpspeedo_team/before_wrapper_inner', $this ); ?>

    <div <?php $this->print_attribute_string( 'wrapper_inner' ); ?>>
        
        <?php if ( $this->get_posts()->have_posts() ) : ?>

            <div <?php $this->print_attribute_string( 'single_item_row' ); ?>>

                <?php while( $this->get_posts()->have_posts() ) : $this->get_posts()->the_post(); ?>

                    <?php
                    
                    $this->add_attribute( 'single_item_col_' . get_the_ID(), 'class', 'wps-widget--item-' . get_the_ID(), true );
                    
                    do_action( 'wpspeedo_team/before_single_team', $this );

                    $primary_color = sanitize_text_field( Helpers::get_item_data('_color') );

                    if ( !empty( $primary_color ) ) {
                        $this->add_attribute( 'single_item_col_' . get_the_ID(), 'style', [
                            "--wps-item-primary-color:$primary_color;"
                        ], true );
                    }
                    
                    ?>
            
                    <div <?php $this->print_attribute_string( ['single_item_col', 'single_item_col_' . get_the_ID()] ); ?>>
                        <div class="wpspeedo-team--single">
                            <div class="wpspeedo-team--single-inner">
                                <?php include Helpers::load_template( 'partials/template-thumbnail.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-designation.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-title.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-divider.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-excerpt.php' ); ?>
                                <?php include Helpers::load_template( 'partials/template-social-links.php' ); ?>
                            </div>
                        </div>
                    </div>

                    <?php do_action( 'wpspeedo_team/after_single_team', $this ); ?>

                <?php endwhile; ?>
        
            </div>

        <?php endif; ?>

    </div>

    <?php do_action( 'wpspeedo_team/after_wrapper_inner', $this ); ?>
    
</div>